Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1211613

Description of problem:

Response to "power_action": "state" request towards a baremetal host {"power":"off"}

Response to "power_action": "state" request towards a vmware VM host: {"power":"poweredOff"}

^ this is in case the hosts are turned off

I'm not sure if this difference between responses happens with other power_action types as well - this requires further investigation.

Version-Release number of selected component (if applicable):

Upstream foreman 1.7.4-1

(+ most probably downstream satellite 6.0.8)

How reproducible:

Always

Steps to Reproduce:

1. Setup a vmware vsphere compute resource (v5.5 in my case)

2. Provision a VM-based host on that compute resource

3. Provision a baremetal host

4. Run the following request against both hosts to see the difference:

1. curl --insecure -X PUT -d '{"power_action": "state"}' -u admin -H "Content-Type:application/json" -H "Accept:application/json"  

https://my-foreman.domain.com/api/v2/hosts/my-host.domain.com/power

Actual results: {"power":"poweredOff"} for VMs, {"power":"off"} for baremetal

or {"power":"poweredOn"} for VMs, {"power":"on"} for baremetal

etc...

Expected results:

Shared, single type of values for all host types.

Additional info:

Associated revisions

Revision 1799cee8 - 03/16/2016 08:59 AM - Shimon Shtein

Fixes #10183 - Added a default results transformation for status action

History

#1 - 04/17/2015 03:10 PM - Bryan Kearney

- Category set to BMC

05/18/2024 1/2

https://bugzilla.redhat.com/show_bug.cgi?id=1211613
https://my-foreman.domain.com/api/v2/hosts/my-host.domain.com/power


#2 - 03/03/2016 08:30 AM - Shimon Shtein

- Assignee set to Shimon Shtein

#3 - 03/03/2016 10:46 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3275 added

#4 - 03/16/2016 09:01 AM - Shimon Shtein

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 1799cee842301e341494748ba4dfd1ecae7589f6.

#5 - 03/16/2016 11:04 AM - Dominic Cleal

- translation missing: en.field_release set to 136
